/**************************/
/*Couleur et aspect global*/
/**************************/

/*Remplissage page*/
html, body{
height:100%
}

.wrapper{
display: flex;
flex-flow: column;
height:100%;
}

header{
flex: 0 1 auto;
}

.after-top{
flex: 1 1 auto;
padding-bottom:0px;
}

/*CUSTOM BG*/
.bg-grey{
    background:#F2F2F2;
}

.bg-light-grey{
    background:#F9F9F9;
}

.bg-dark-grey{
    background:#EAEAEA;
}

/*Texte*/
.text-small{
    font-size:10pt;
    font-weight:normal;
}

/*Quelques classes utiles sur mobile*/
@media (max-width: 767px){
    .mob-mt-10{margin-top   :10px !important;}
    .mob-ml-10{margin-left  :10px !important;}
    .mob-mb-10{margin-bottom:10px !important;}
    .mob-mr-10{margin-right :10px !important;}

    .mob-mt-0{margin-top   :0px !important;}
    .mob-ml-0{margin-left  :0px !important;}
    .mob-mb-0{margin-bottom:0px !important;}
    .mob-mr-0{margin-right :0px !important;}

    .mob-mt-20{margin-top   :20px !important;}
    .mob-ml-20{margin-left  :20px !important;}
    .mob-mb-20{margin-bottom:20px !important;}
    .mob-mr-20{margin-right :20px !important;}

    .mob-pt-10{padding-top   :10px !important;}
    .mob-pl-10{padding-left  :10px !important;}
    .mob-pb-10{padding-bottom:10px !important;}
    .mob-pr-10{padding-right: 10px !important;}

    .mob-pt-0{padding-top   :0px !important;}
    .mob-pl-0{padding-left  :0px !important;}
    .mob-pb-0{padding-bottom:0px !important;}
    .mob-pr-0{padding-right: 0px !important;}

    .mob-pt-20{padding-top   :20px !important;}
    .mob-pl-20{padding-left  :20px !important;}
    .mob-pb-20{padding-bottom:20px !important;}
    .mob-pr-20{padding-right: 20px !important;}
}

/*Définition de couleur*/
.btn-duret{
    background-color:#0060A9;
    color:#fff;
    border-color:#0060A9;
}

.btn-duret:hover{
    background-color:#004089;
    color:#fff;
    border-color:#004089;
}

.border-duret{
    border-color:#0060A9 !important;
}

/*Boutons ronds*/
.btn-circle {
  width: 20px;
  height: 20px;
  text-align: center;
  padding: 6px 0;
  font-size: 12px;
  line-height: 1.428571429;
  border-radius: 15px;
}

/*Titre*/
.container h1{
    margin-bottom:20px;
}

/*Titre des alert danger*/
.alert-danger h3{
    margin-bottom:25px;
}

/*Pas de padding sur les mobiles*/
@media (max-width: 767px){
    body {
        padding-right: 0px;
        padding-left: 0px;
    }

    /*En-tête moins étirée sur mobile*/
    body .home-header{
        padding-right: 20px;
        padding-left: 20px;
    }
    /*Et contenu idem*/
    body .row{
        padding-right: 20px;
        padding-left: 20px;
    }
}

/*Correction margin negative*/
.container .row {
    margin-right: -15px !important;
    margin-left: -15px !important;
}

/*Espace sous les titres*/
.container h3{
    margin-bottom:25px;
}


/*Liens-boutons*/
a.btn.white{
color:black;
display:inline-block;
width:100%;
text-align:left;
}

/* Alernance couleur row*/>
/* Portables */
.row.stripped:nth-child(even){
  background-color: #fff;
}
.row.stripped:nth-child(odd){
  background-color: #e0e0e0;
}

/* Tablette */
@media (min-width: 768px) {
    .row.stripped:nth-child(2n){
        background: #fff;
    }
    .row.stripped:nth-child(2n+1){
        background: #e0e0e0;
    }
}

/* PC */
@media (min-width: 992px) {
    .row.stripped:nth-child(2n){
        background: #fff;
    }
    .row.stripped:nth-child(2n+1){
        background: #e0e0e0;
    }
}

/*Row hover*/
.row.hover:hover{
background:#eee;
}

/*******************/
/*Page de connexion*/
/*******************/

/*formulaire largeur réduite*/
.form-connexion {
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
}

.form-connexion h1{
    margin-bottom:50px;
}

/*Aspect collé des champs*/
.form-connexion input:first-child{
    margin-bottom:-1px;
    border-bottom-right-radius:0px;
    border-bottom-left-radius:0px;
}

.form-connexion input:nth-child(2){
    margin-bottom:-1px;
    border-top-right-radius:0px;
    border-top-left-radius:0px;
}

/*Agrandissement*/
.form-connexion .form-control{
    font-size:16pt;
    padding:10px;
    height:auto;
}

/*Boutton login*/
.form-connexion button{
    margin-top   :25px;
    margin-bottom:5px;
}

/*Comportement au focus*/
.form-connexion .form-control:focus{
    box-shadow: none;
    background-color:#e5f1ff;
}

/*******************************/
/* Page de récupération de mdp */
/*******************************/

/*Pas d'arrondis entre le input et le bouton en mode large*/
@media (min-width: 576px) {
    .form-recuperation input.form-control.col-sm-10#email{
        border-top-right-radius:0;
        border-bottom-right-radius:0;
        border-bottom-left-radius:.3rem;
        border-top-left-radius:.3rem;
        text-align:left;
    }
    .form-recuperation input.btn-lg.col-sm-2#submit_button{
        border-top-left-radius:0;
        border-bottom-left-radius:0;
        border-top-right-radius:.3rem;
        border-bottom-right-radius:.3rem;
    }
}

/*Idem en mode mobile*/
.form-recuperation input.form-control.col-sm-10{
    border-bottom-left-radius:0;
    border-bottom-right-radius:0;
    border-top-left-radius:.3rem;
    border-top-right-radius:.3rem;
    text-align:center;
}
.form-recuperation input.btn-lg.col-sm-2{
    border-top-left-radius:0;
    border-top-right-radius:0;
    border-bottom-left-radius:.3rem;
    border-bottom-right-radius:.3rem;
}

/*Comportement au focus*/
.form-recuperation .form-control:focus{
    box-shadow: none;
    background-color:#e5f1ff;
}

.form-recuperation .row:first-child{
    margin-bottom:30px;
}

.form-connexion img{
    max-width:90%;
    margin-bottom:20px;
}

/*****************************/
/****** SAISIE BESOINS *******/
/*****************************/
#tabBes .dropdown-toggle::after{
display:none !important;
}

#tabBes.table-striped tr:nth-child(odd) td input{
background:#f2f2f2 !important;
}


/*** Pas de retour ligne ***/
#tabBes td[contenteditable="true"] {
    white-space: nowrap;
    overflow: hidden;
}
#tabBes td[contenteditable="true"] br {
    display:none;

}
#tabBes td[contenteditable="true"] * {
    display:inline;
    white-space:nowrap;
}


/*********************************/
/***** Consultations besoins *****/
/*********************************/

/*Style des listes desactivées*/
#tabBes .disabled.bootstrap-select button.disabled div{
color:black;
}

#tabBes .qte .form-control:disabled,#tabBes .del input:disabled{
background:transparent;
}

#tabBes .changed{
 text-decoration: line-through;
color:red;
}

#tabBes .new{
color:lightgreen;
font-weight:bold;
}

/************************/
/****** Validation ******/
/************************/

/*Affichage champs de saisie invalidés*/
#tabBes tr td.qte input,#tabBes tr td.del input,#tabBes tr td.ref input,#tabBes tr td.des input,#tabBes tr td.uni input,#tabBes tr td.cnd input,#tabBes tr td.com input{
background:transparent !important;
}


/**************************/
/****** RESPONSIVE  *******/
/**************************/

@media(max-width:1800px){
button#sidebarCollapse{
margin-left:200px;
}
}
@media(max-width:767px){
button#sidebarCollapse{
margin-left:150px;
}
}

button#sidebarCollapse{
z-index:20
}

@media(min-width:767px) and (max-width:1000px){
button#sidebarCollapse span{
display:none;
}
button#sidebarCollapse{
margin-left:200px !important;
}
}

.laterR{
position:absolute;
left:-45px;
}

@media (max-width: 900px) {
.responsive-table-line td:before { content: attr(data-title); }
.responsive-table-line table,
.responsive-table-line thead,
.responsive-table-line tbody,
.responsive-table-line th,
.responsive-table-line td,
.responsive-table-line tr.active-row {
display: block;
}

.responsive-table-line thead tr {
display:none;
}
.responsive-table-line td {
position: relative;
border: 0px solid transparent;
padding-left: 50% !important;
white-space: normal;
text-align:center;
}

.responsive-table-line td:before {
position: absolute;
top: 0px;
left: 0px;
width: 45%;
padding-right: 15px;
height:100%;
white-space: nowrap;
text-overflow: ellipsis !important;
overflow:hidden !important;
text-align:left;
background-color:#f8f8f8;
padding:2px;
}
.filter-option-inner-inner{
text-align:center;
}

#tabBes tr td input,#tabBes tr td textarea{
border:1px solid rgba(80,80,80,0.2)!important;
background-color:white !important;
}
#tabBes tr td{ margin-bottom:5px;margin-right:5px;
}

#tabBes tr td.cnd{
padding-right:0px !important;
padding-top:0px !important;
}

#tabBes tr td.del input{
width:100%;
border-radius:3px;
}

#tabBes tr td.qte input, #tabBes tr td.del input, #tabBes tr td.ref input, #tabBes tr td.des input, #tabBes tr td.uni input, #tabBes tr td.cnd input{
background-color:white !important;
}

#tabBes tr td:last-child{
background:transparent !important;

border-bottom:3px dashed rgba(80,80,80,0.5) !important;
}

input[type="submit"]{
margin-bottom:25px;
}

#tabBes{
margin-top:30px !important;
}

#ref_chant,#main_liv,#date_liv{
margin-bottom:5px;
}

#afficheTab{
    width:100%;
}

#cancelBes,#submitBes{
margin-bottom:5px;
}

#cancelBes{
margin-top:10px;
}
}

@media (max-width: 650px) {
button#sidebarCollapse span {
    display: none;
}
button#sidebarCollapse{
left:-25vw;
}
}

@media (max-width: 550px) {
button#sidebarCollapse{
left:-27vw;
padding:5px !important;
font-size:10pt;
}
}

@media (max-width: 520px) {
button#sidebarCollapse{
left:-28vw;
padding:5px !important;
font-size:10pt;
}
}

@media (max-width: 480px) {
button#sidebarCollapse{
left:-30vw;
padding:8px !important;
font-size:11pt;
}
}


@media (max-width: 400px) {
button#sidebarCollapse{
left:-36vw;
padding:5px !important;
font-size:10pt;
}
}

@media (max-width: 330px) {
button#sidebarCollapse{
left:-45vw;
padding:5px !important;
font-size:10pt;
}
}

input[type="number"]{
    -moz-appearance:textfield;
}

.annulCmd{
position:absolute;
left:-100px;
width:80px !important;
}

/*Boutons suppr/retab des lignes validation*/
.suppr-text{
    display: inline-block;
    color: grey;
    left: -17px;
}

.retab-text{
    display: inline-block;
    color: grey;
    left: -12px;
}

.bg-danger .bg-grey,.bg-danger .bg-white,.bg-danger input{
    background:inherit !important;
}

.bg-danger .bg-white:last-child{
    background:#ffffff !important;
}

tr.del,tr.del input,tr.del button,tr.del div{
    text-decoration: line-through !important;
}